# Makefile.in generated by automake 1.14.1 from Makefile.am.
# @configure_input@

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

# regress/Makefile.am - regression test Makefile
# Copyright (C) 2008 g10 Code GmbH
#
#  This file is part of adns, which is
#    Copyright (C) 1997-2000,2003,2006  Ian Jackson
#    Copyright (C) 1999-2000,2003,2006  Tony Finch
#    Copyright (C) 1991 Massachusetts Institute of Technology
#  (See the file INSTALL for full details.)
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.

VPATH = @srcdir@
am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
@HAVE_TSEARCH_TRUE@am__append_1 = adnsresfilter_record adnsresfilter_playback
DIST_COMMON = $(srcdir)/casefiles.list $(srcdir)/initfiles.list \
	$(srcdir)/m4-to-c.rule $(srcdir)/Makefile.in \
	$(srcdir)/Makefile.am $(top_srcdir)/depcomp
noinst_PROGRAMS = $(am__EXEEXT_2)
subdir = regress
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/src/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
@HAVE_TSEARCH_TRUE@am__EXEEXT_1 = adnsresfilter_record$(EXEEXT) \
@HAVE_TSEARCH_TRUE@	adnsresfilter_playback$(EXEEXT)
am__EXEEXT_2 = adnstest_record$(EXEEXT) adnstest_playback$(EXEEXT) \
	adnslogres_record$(EXEEXT) adnslogres_playback$(EXEEXT) \
	adnsheloex_record$(EXEEXT) adnsheloex_playback$(EXEEXT) \
	adnshost_record$(EXEEXT) adnshost_playback$(EXEEXT) \
	fanftest_record$(EXEEXT) fanftest_playback$(EXEEXT) \
	$(am__EXEEXT_1)
PROGRAMS = $(noinst_PROGRAMS)
am__objects_1 = types.$(OBJEXT) event.$(OBJEXT) query.$(OBJEXT) \
	reply.$(OBJEXT) general.$(OBJEXT) vbuf.$(OBJEXT) \
	setup.$(OBJEXT) transmit.$(OBJEXT) parse.$(OBJEXT) \
	poll.$(OBJEXT) check.$(OBJEXT)
am__objects_2 = hplayback.$(OBJEXT) hcommon.$(OBJEXT) $(am__objects_1)
am_adnsheloex_playback_OBJECTS = adnsheloex.$(OBJEXT) $(am__objects_2)
adnsheloex_playback_OBJECTS = $(am_adnsheloex_playback_OBJECTS)
adnsheloex_playback_LDADD = $(LDADD)
adnsheloex_playback_DEPENDENCIES =
AM_V_lt = $(am__v_lt_@AM_V@)
am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
am__v_lt_0 = --silent
am__v_lt_1 = 
am__objects_3 = hrecord.$(OBJEXT) hcommon.$(OBJEXT) $(am__objects_1)
am_adnsheloex_record_OBJECTS = adnsheloex.$(OBJEXT) $(am__objects_3)
adnsheloex_record_OBJECTS = $(am_adnsheloex_record_OBJECTS)
adnsheloex_record_LDADD = $(LDADD)
adnsheloex_record_DEPENDENCIES =
am__objects_4 = adh-main.$(OBJEXT) adh-opts.$(OBJEXT) \
	adh-query.$(OBJEXT)
am_adnshost_playback_OBJECTS = $(am__objects_4) $(am__objects_2)
adnshost_playback_OBJECTS = $(am_adnshost_playback_OBJECTS)
adnshost_playback_LDADD = $(LDADD)
adnshost_playback_DEPENDENCIES =
am_adnshost_record_OBJECTS = $(am__objects_4) $(am__objects_3)
adnshost_record_OBJECTS = $(am_adnshost_record_OBJECTS)
adnshost_record_LDADD = $(LDADD)
adnshost_record_DEPENDENCIES =
am_adnslogres_playback_OBJECTS = adnslogres.$(OBJEXT) $(am__objects_2)
adnslogres_playback_OBJECTS = $(am_adnslogres_playback_OBJECTS)
adnslogres_playback_LDADD = $(LDADD)
adnslogres_playback_DEPENDENCIES =
am_adnslogres_record_OBJECTS = adnslogres.$(OBJEXT) $(am__objects_3)
adnslogres_record_OBJECTS = $(am_adnslogres_record_OBJECTS)
adnslogres_record_LDADD = $(LDADD)
adnslogres_record_DEPENDENCIES =
am_adnsresfilter_playback_OBJECTS = adnsresfilter.$(OBJEXT) \
	$(am__objects_2)
adnsresfilter_playback_OBJECTS = $(am_adnsresfilter_playback_OBJECTS)
adnsresfilter_playback_LDADD = $(LDADD)
adnsresfilter_playback_DEPENDENCIES =
am_adnsresfilter_record_OBJECTS = adnsresfilter.$(OBJEXT) \
	$(am__objects_3)
adnsresfilter_record_OBJECTS = $(am_adnsresfilter_record_OBJECTS)
adnsresfilter_record_LDADD = $(LDADD)
adnsresfilter_record_DEPENDENCIES =
am_adnstest_playback_OBJECTS = adnstest.$(OBJEXT) $(am__objects_2)
adnstest_playback_OBJECTS = $(am_adnstest_playback_OBJECTS)
adnstest_playback_LDADD = $(LDADD)
adnstest_playback_DEPENDENCIES =
am_adnstest_record_OBJECTS = adnstest.$(OBJEXT) $(am__objects_3)
adnstest_record_OBJECTS = $(am_adnstest_record_OBJECTS)
adnstest_record_LDADD = $(LDADD)
adnstest_record_DEPENDENCIES =
am_fanftest_playback_OBJECTS = fanftest.$(OBJEXT) $(am__objects_2)
fanftest_playback_OBJECTS = $(am_fanftest_playback_OBJECTS)
fanftest_playback_LDADD = $(LDADD)
fanftest_playback_DEPENDENCIES =
am_fanftest_record_OBJECTS = fanftest.$(OBJEXT) $(am__objects_3)
fanftest_record_OBJECTS = $(am_fanftest_record_OBJECTS)
fanftest_record_LDADD = $(LDADD)
fanftest_record_DEPENDENCIES =
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/src
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_@AM_V@)
am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_@AM_V@)
am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(adnsheloex_playback_SOURCES) $(adnsheloex_record_SOURCES) \
	$(adnshost_playback_SOURCES) $(adnshost_record_SOURCES) \
	$(adnslogres_playback_SOURCES) $(adnslogres_record_SOURCES) \
	$(adnsresfilter_playback_SOURCES) \
	$(adnsresfilter_record_SOURCES) $(adnstest_playback_SOURCES) \
	$(adnstest_record_SOURCES) $(fanftest_playback_SOURCES) \
	$(fanftest_record_SOURCES)
DIST_SOURCES = $(adnsheloex_playback_SOURCES) \
	$(adnsheloex_record_SOURCES) $(adnshost_playback_SOURCES) \
	$(adnshost_record_SOURCES) $(adnslogres_playback_SOURCES) \
	$(adnslogres_record_SOURCES) $(adnsresfilter_playback_SOURCES) \
	$(adnsresfilter_record_SOURCES) $(adnstest_playback_SOURCES) \
	$(adnstest_record_SOURCES) $(fanftest_playback_SOURCES) \
	$(fanftest_record_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__tty_colors_dummy = \
  mgn= red= grn= lgn= blu= brg= std=; \
  am__color_tests=no
am__tty_colors = { \
  $(am__tty_colors_dummy); \
  if test "X$(AM_COLOR_TESTS)" = Xno; then \
    am__color_tests=no; \
  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
    am__color_tests=yes; \
  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
    am__color_tests=yes; \
  fi; \
  if test $$am__color_tests = yes; then \
    red='[0;31m'; \
    grn='[0;32m'; \
    lgn='[1;32m'; \
    blu='[1;34m'; \
    mgn='[0;35m'; \
    brg='[1m'; \
    std='[m'; \
  fi; \
}
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
ADNS_CONFIG_API_VERSION = @ADNS_CONFIG_API_VERSION@
ADNS_CONFIG_CFLAGS = @ADNS_CONFIG_CFLAGS@
ADNS_CONFIG_LIBS = @ADNS_CONFIG_LIBS@
ADNS_LT_AGE = @ADNS_LT_AGE@
ADNS_LT_CURRENT = @ADNS_LT_CURRENT@
ADNS_LT_REVISION = @ADNS_LT_REVISION@
AMTAR = @AMTAR@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
AR = @AR@
AS = @AS@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
BUILD_FILEVERSION = @BUILD_FILEVERSION@
BUILD_REVISION = @BUILD_REVISION@
BUILD_TIMESTAMP = @BUILD_TIMESTAMP@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
FGREP = @FGREP@
GREP = @GREP@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LD = @LD@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
M4 = @M4@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@
MKDIR_P = @MKDIR_P@
NM = @NM@
NMEDIT = @NMEDIT@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PLATFORMCPPFLAGS = @PLATFORMCPPFLAGS@
RANLIB = @RANLIB@
RC = @RC@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
VERSION = @VERSION@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
clients = adnstest_record adnstest_playback adnslogres_record \
	adnslogres_playback adnsheloex_record adnsheloex_playback \
	adnshost_record adnshost_playback fanftest_record \
	fanftest_playback $(am__append_1)

# Using sources from another directory is problematic thus we copy the files.
sources_from_src = \
        adns.h      \
        internal.h  \
        dlist.h     \
        tvarith.h   \
        platform.h  \
        types.c     \
        event.c     \
        query.c     \
        reply.c     \
        general.c   \
        vbuf.c      \
        setup.c     \
        transmit.c  \
        parse.c     \
        poll.c      \
        check.c

sources_from_client = \
	client.h      \
	adnstest.c    \
	adnslogres.c  \
	adnsheloex.c  \
	adh-main.c    \
	adh-opts.c    \
	adh-query.c   \
	adnshost.h    \
	fanftest.c    \
	adnsresfilter.c

casefiles = case-1stservbroken.sys case-1stservbroken.out \
	case-1stservbroken.err case-1stservtotcp.sys \
	case-1stservtotcp.out case-1stservtotcp.err case-2ndservok.sys \
	case-2ndservok.out case-2ndservok.err case-2ndservtcp.sys \
	case-2ndservtcp.out case-2ndservtcp.err case-abbrev.sys \
	case-abbrev.out case-abbrev.err case-abbrevto.sys \
	case-abbrevto.out case-abbrevto.err case-adh-cancel.sys \
	case-adh-cancel.out case-adh-cancel.err case-adh-cancel2.sys \
	case-adh-cancel2.out case-adh-cancel2.err case-adh-cancel3.sys \
	case-adh-cancel3.out case-adh-cancel3.err case-adh-norm.sys \
	case-adh-norm.out case-adh-norm.err case-adh-pipe.sys \
	case-adh-pipe.out case-adh-pipe.err case-alr-norm.sys \
	case-alr-norm.out case-alr-norm.err case-alr-norm.in \
	case-alr-slow.sys case-alr-slow.out case-alr-slow.err \
	case-alr-slow.in case-arf-norm.sys case-arf-norm.out \
	case-arf-norm.err case-arf-text.sys case-arf-text.out \
	case-arf-text.err case-brokenmail.sys case-brokenmail.out \
	case-brokenmail.err case-child.sys case-child.out \
	case-child.err case-cnametocname.sys case-cnametocname.out \
	case-cnametocname.err case-comprinf.sys case-comprinf.out \
	case-comprinf.err case-connfail.sys case-connfail.out \
	case-connfail.err case-datapluscname.sys \
	case-datapluscname.out case-datapluscname.err \
	case-datapluscnamewait.sys case-datapluscnamewait.out \
	case-datapluscnamewait.err case-flags10.sys case-flags10.out \
	case-flags10.err case-flags9.sys case-flags9.out \
	case-flags9.err case-formerr.sys case-formerr.out \
	case-formerr.err case-lockup.sys case-lockup.out \
	case-lockup.err case-longdom0.sys case-longdom0.out \
	case-longdom0.err case-longdom1.sys case-longdom1.out \
	case-longdom1.err case-longdomsrch0.sys case-longdomsrch0.out \
	case-longdomsrch0.err case-longdomsrch1.sys \
	case-longdomsrch1.out case-longdomsrch1.err \
	case-longdomsrch1b.sys case-longdomsrch1b.out \
	case-longdomsrch1b.err case-longdomsrch2.sys \
	case-longdomsrch2.out case-longdomsrch2.err case-longlab0.sys \
	case-longlab0.out case-longlab0.err case-longlab1.sys \
	case-longlab1.out case-longlab1.err case-mailboxes.sys \
	case-mailboxes.out case-mailboxes.err case-manya.sys \
	case-manya.out case-manya.err case-manyptrwrong.sys \
	case-manyptrwrong.out case-manyptrwrong.err \
	case-manyptrwrongrem.sys case-manyptrwrongrem.out \
	case-manyptrwrongrem.err case-manyptrwrongrst.sys \
	case-manyptrwrongrst.out case-manyptrwrongrst.err \
	case-manyptrwrongrty.sys case-manyptrwrongrty.out \
	case-manyptrwrongrty.err case-ndots-as.sys case-ndots-as.out \
	case-ndots-as.err case-ndots.sys case-ndots.out case-ndots.err \
	case-ndotsbad.sys case-ndotsbad.out case-ndotsbad.err \
	case-noinfto.sys case-noinfto.out case-noinfto.err \
	case-norecurse.sys case-norecurse.out case-norecurse.err \
	case-norecurse2.sys case-norecurse2.out case-norecurse2.err \
	case-norecurse3.sys case-norecurse3.out case-norecurse3.err \
	case-norm.sys case-norm.out case-norm.err case-owner.sys \
	case-owner.out case-owner.err case-poll.sys case-poll.out \
	case-poll.err case-polltimeout.sys case-polltimeout.out \
	case-polltimeout.err case-ptrbaddom.sys case-ptrbaddom.out \
	case-ptrbaddom.err case-quote.sys case-quote.out \
	case-quote.err case-rootquery.sys case-rootquery.out \
	case-rootquery.err case-rootqueryall-as.sys \
	case-rootqueryall-as.out case-rootqueryall-as.err \
	case-rootqueryall.sys case-rootqueryall.out \
	case-rootqueryall.err case-search-as.sys case-search-as.out \
	case-search-as.err case-search.sys case-search.out \
	case-search.err case-searchabs.sys case-searchabs.out \
	case-searchabs.err case-sillyrp.sys case-sillyrp.out \
	case-sillyrp.err case-srvbaddom.sys case-srvbaddom.out \
	case-srvbaddom.err case-srvha.sys case-srvha.out \
	case-srvha.err case-srvok.sys case-srvok.out case-srvok.err \
	case-srvqudom.sys case-srvqudom.out case-srvqudom.err \
	case-srvsort.sys case-srvsort.out case-srvsort.err \
	case-tcpallfail.sys case-tcpallfail.out case-tcpallfail.err \
	case-tcpblock.sys case-tcpblock.out case-tcpblock.err \
	case-tcpblockbrk.sys case-tcpblockbrk.out case-tcpblockbrk.err \
	case-tcpblockwr.sys case-tcpblockwr.out case-tcpblockwr.err \
	case-tcpbreakin.sys case-tcpbreakin.out case-tcpbreakin.err \
	case-tcpmultipart.sys case-tcpmultipart.out \
	case-tcpmultipart.err case-tcpptr.sys case-tcpptr.out \
	case-tcpptr.err case-timeout.sys case-timeout.out \
	case-timeout.err case-trunc.sys case-trunc.out case-trunc.err \
	case-unknown2.sys case-unknown2.out case-unknown2.err \
	case-unknown33.sys case-unknown33.out case-unknown33.err \
	case-unknown5.sys case-unknown5.out case-unknown5.err \
	case-unknownq.sys case-unknownq.out case-unknownq.err
initfiles = init-1stservbroken.text init-1stservto.text \
	init-2ndserver.text init-anarres.text init-default.text \
	init-manyptrwrong.text init-ncipher.text init-ndots.text \
	init-ndots100.text init-ndotsbad.text init-noserver.text \
	init-tunnel.text
harnesssrcs = hrecord.c.m4 hplayback.c.m4 hcommon.c.m4 \
              harness.h.m4 hsyscalls.h.m4 hredirect.h.m4

BUILT_SOURCES = hrecord.c hplayback.c hcommon.c \
                harness.h hsyscalls.h hredirect.h \
		$(sources_from_src) $(sources_from_client)

CLEANFILES = $(sources_from_src) $(sources_from_client)
DISTCLEANFILES = harness.h hsyscalls.h hredirect.h \
                 output-*.{err,out,leftover,report}

EXTRA_DIST = hmacros.i4 hsyscalls.i4 $(harnesssrcs) \
	     checkall r1test \
             adnshost-xinitflags.text \
             adnslogres-xinitflags.text \
	     adnsresfilter-xinitflags.text \
	     $(initfiles) $(casefiles)

TESTS = checkall
SUFFIXES = .c.m4 .h.m4
AM_CPPFLAGS = $(PLATFORMCPPFLAGS) -DADNS_REGRESS_TEST -I. -I$(top_srcdir)/src
LDADD = 
recordsrc = hrecord.c hcommon.c $(sources_from_src)
playbacksrc = hplayback.c hcommon.c $(sources_from_src)
adnstest_record_SOURCES = adnstest.c $(recordsrc)
adnstest_playback_SOURCES = adnstest.c $(playbacksrc)
adnslogres_record_SOURCES = adnslogres.c $(recordsrc)
adnslogres_playback_SOURCES = adnslogres.c $(playbacksrc)
adnsheloex_record_SOURCES = adnsheloex.c $(recordsrc)
adnsheloex_playback_SOURCES = adnsheloex.c $(playbacksrc)
adnshost_commonsrc = \
	adh-main.c \
	adh-opts.c \
	adh-query.c \
	adnshost.h

adnshost_record_SOURCES = $(adnshost_commonsrc) $(recordsrc)
adnshost_playback_SOURCES = $(adnshost_commonsrc) $(playbacksrc)
fanftest_record_SOURCES = fanftest.c $(recordsrc)
fanftest_playback_SOURCES = fanftest.c $(playbacksrc)
adnsresfilter_record_SOURCES = adnsresfilter.c $(recordsrc)
adnsresfilter_playback_SOURCES = adnsresfilter.c $(playbacksrc)
all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c.m4 .h.m4 .c .h .lo .o .obj
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/casefiles.list $(srcdir)/initfiles.list $(srcdir)/m4-to-c.rule $(srcdir)/m4-to-c.rule $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu regress/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu regress/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;
$(srcdir)/casefiles.list $(srcdir)/initfiles.list $(srcdir)/m4-to-c.rule $(srcdir)/m4-to-c.rule:

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list

adnsheloex_playback$(EXEEXT): $(adnsheloex_playback_OBJECTS) $(adnsheloex_playback_DEPENDENCIES) $(EXTRA_adnsheloex_playback_DEPENDENCIES) 
	@rm -f adnsheloex_playback$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(adnsheloex_playback_OBJECTS) $(adnsheloex_playback_LDADD) $(LIBS)

adnsheloex_record$(EXEEXT): $(adnsheloex_record_OBJECTS) $(adnsheloex_record_DEPENDENCIES) $(EXTRA_adnsheloex_record_DEPENDENCIES) 
	@rm -f adnsheloex_record$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(adnsheloex_record_OBJECTS) $(adnsheloex_record_LDADD) $(LIBS)

adnshost_playback$(EXEEXT): $(adnshost_playback_OBJECTS) $(adnshost_playback_DEPENDENCIES) $(EXTRA_adnshost_playback_DEPENDENCIES) 
	@rm -f adnshost_playback$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(adnshost_playback_OBJECTS) $(adnshost_playback_LDADD) $(LIBS)

adnshost_record$(EXEEXT): $(adnshost_record_OBJECTS) $(adnshost_record_DEPENDENCIES) $(EXTRA_adnshost_record_DEPENDENCIES) 
	@rm -f adnshost_record$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(adnshost_record_OBJECTS) $(adnshost_record_LDADD) $(LIBS)

adnslogres_playback$(EXEEXT): $(adnslogres_playback_OBJECTS) $(adnslogres_playback_DEPENDENCIES) $(EXTRA_adnslogres_playback_DEPENDENCIES) 
	@rm -f adnslogres_playback$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(adnslogres_playback_OBJECTS) $(adnslogres_playback_LDADD) $(LIBS)

adnslogres_record$(EXEEXT): $(adnslogres_record_OBJECTS) $(adnslogres_record_DEPENDENCIES) $(EXTRA_adnslogres_record_DEPENDENCIES) 
	@rm -f adnslogres_record$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(adnslogres_record_OBJECTS) $(adnslogres_record_LDADD) $(LIBS)

adnsresfilter_playback$(EXEEXT): $(adnsresfilter_playback_OBJECTS) $(adnsresfilter_playback_DEPENDENCIES) $(EXTRA_adnsresfilter_playback_DEPENDENCIES) 
	@rm -f adnsresfilter_playback$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(adnsresfilter_playback_OBJECTS) $(adnsresfilter_playback_LDADD) $(LIBS)

adnsresfilter_record$(EXEEXT): $(adnsresfilter_record_OBJECTS) $(adnsresfilter_record_DEPENDENCIES) $(EXTRA_adnsresfilter_record_DEPENDENCIES) 
	@rm -f adnsresfilter_record$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(adnsresfilter_record_OBJECTS) $(adnsresfilter_record_LDADD) $(LIBS)

adnstest_playback$(EXEEXT): $(adnstest_playback_OBJECTS) $(adnstest_playback_DEPENDENCIES) $(EXTRA_adnstest_playback_DEPENDENCIES) 
	@rm -f adnstest_playback$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(adnstest_playback_OBJECTS) $(adnstest_playback_LDADD) $(LIBS)

adnstest_record$(EXEEXT): $(adnstest_record_OBJECTS) $(adnstest_record_DEPENDENCIES) $(EXTRA_adnstest_record_DEPENDENCIES) 
	@rm -f adnstest_record$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(adnstest_record_OBJECTS) $(adnstest_record_LDADD) $(LIBS)

fanftest_playback$(EXEEXT): $(fanftest_playback_OBJECTS) $(fanftest_playback_DEPENDENCIES) $(EXTRA_fanftest_playback_DEPENDENCIES) 
	@rm -f fanftest_playback$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(fanftest_playback_OBJECTS) $(fanftest_playback_LDADD) $(LIBS)

fanftest_record$(EXEEXT): $(fanftest_record_OBJECTS) $(fanftest_record_DEPENDENCIES) $(EXTRA_fanftest_record_DEPENDENCIES) 
	@rm -f fanftest_record$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(fanftest_record_OBJECTS) $(fanftest_record_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/adh-main.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/adh-opts.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/adh-query.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/adnsheloex.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/adnslogres.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/adnsresfilter.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/adnstest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/check.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/event.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fanftest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/general.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hcommon.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hplayback.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hrecord.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/parse.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/poll.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/query.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/reply.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/setup.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/transmit.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/types.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vbuf.Po@am__quote@

.c.o:
@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<

.c.obj:
@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.c.lo:
@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-am
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-am

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-am

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

check-TESTS: $(TESTS)
	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
	srcdir=$(srcdir); export srcdir; \
	list=' $(TESTS) '; \
	$(am__tty_colors); \
	if test -n "$$list"; then \
	  for tst in $$list; do \
	    if test -f ./$$tst; then dir=./; \
	    elif test -f $$tst; then dir=; \
	    else dir="$(srcdir)/"; fi; \
	    if $(TESTS_ENVIRONMENT) $${dir}$$tst $(AM_TESTS_FD_REDIRECT); then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *[\ \	]$$tst[\ \	]*) \
		xpass=`expr $$xpass + 1`; \
		failed=`expr $$failed + 1`; \
		col=$$red; res=XPASS; \
	      ;; \
	      *) \
		col=$$grn; res=PASS; \
	      ;; \
	      esac; \
	    elif test $$? -ne 77; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *[\ \	]$$tst[\ \	]*) \
		xfail=`expr $$xfail + 1`; \
		col=$$lgn; res=XFAIL; \
	      ;; \
	      *) \
		failed=`expr $$failed + 1`; \
		col=$$red; res=FAIL; \
	      ;; \
	      esac; \
	    else \
	      skip=`expr $$skip + 1`; \
	      col=$$blu; res=SKIP; \
	    fi; \
	    echo "$${col}$$res$${std}: $$tst"; \
	  done; \
	  if test "$$all" -eq 1; then \
	    tests="test"; \
	    All=""; \
	  else \
	    tests="tests"; \
	    All="All "; \
	  fi; \
	  if test "$$failed" -eq 0; then \
	    if test "$$xfail" -eq 0; then \
	      banner="$$All$$all $$tests passed"; \
	    else \
	      if test "$$xfail" -eq 1; then failures=failure; else failures=failures; fi; \
	      banner="$$All$$all $$tests behaved as expected ($$xfail expected $$failures)"; \
	    fi; \
	  else \
	    if test "$$xpass" -eq 0; then \
	      banner="$$failed of $$all $$tests failed"; \
	    else \
	      if test "$$xpass" -eq 1; then passes=pass; else passes=passes; fi; \
	      banner="$$failed of $$all $$tests did not behave as expected ($$xpass unexpected $$passes)"; \
	    fi; \
	  fi; \
	  dashes="$$banner"; \
	  skipped=""; \
	  if test "$$skip" -ne 0; then \
	    if test "$$skip" -eq 1; then \
	      skipped="($$skip test was not run)"; \
	    else \
	      skipped="($$skip tests were not run)"; \
	    fi; \
	    test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$skipped"; \
	  fi; \
	  report=""; \
	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
	    report="Please report to $(PACKAGE_BUGREPORT)"; \
	    test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$report"; \
	  fi; \
	  dashes=`echo "$$dashes" | sed s/./=/g`; \
	  if test "$$failed" -eq 0; then \
	    col="$$grn"; \
	  else \
	    col="$$red"; \
	  fi; \
	  echo "$${col}$$dashes$${std}"; \
	  echo "$${col}$$banner$${std}"; \
	  test -z "$$skipped" || echo "$${col}$$skipped$${std}"; \
	  test -z "$$report" || echo "$${col}$$report$${std}"; \
	  echo "$${col}$$dashes$${std}"; \
	  test "$$failed" -eq 0; \
	else :; fi

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-am
all-am: Makefile $(PROGRAMS)
installdirs:
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
clean: clean-am

clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
	mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: all check check-am install install-am install-strip

.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
	clean-generic clean-libtool clean-noinstPROGRAMS cscopelist-am \
	ctags ctags-am distclean distclean-compile distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am html \
	html-am info info-am install install-am install-data \
	install-data-am install-dvi install-dvi-am install-exec \
	install-exec-am install-html install-html-am install-info \
	install-info-am install-man install-pdf install-pdf-am \
	install-ps install-ps-am install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags tags-am uninstall uninstall-am


$(sources_from_src):
	for file in $(sources_from_src); do \
	  ln -sf $(top_srcdir)/src/$$file . ; \
        done

$(sources_from_client):
	for file in $(sources_from_client); do \
	  ln -sf $(top_srcdir)/client/$$file . ; \
        done

$(harnesssrcs):	hmacros.i4 hsyscalls.i4

.c.m4.c:
	$(M4) -P -I$(srcdir) $< >$@-a.new
	sed -e 's/hm_comma/,/g; s/hm_squote/'\''/g; /^[	 ]*$$/d' \
            <$@-a.new >$@-b.new
	@mv -f $@-b.new $@; rm -f $@-a.new

.h.m4.h:
	$(M4) -P -I$(srcdir) $< >$@-a.new
	sed -e 's/hm_comma/,/g; s/hm_squote/'\''/g; /^[	 ]*$$/d' \
            <$@-a.new >$@-b.new
	@mv -f $@-b.new $@; rm -f $@-a.new

$(clients): $(sources_from_src) $(sources_from_client)

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
